import request from '@/utils/request'

/**
 * 查看抽取任务列表
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function getTaskList(data) {
  return request({
    url: '/als/kGraphTask/list',
    method: 'get',
    data: data
  })
}

/**
 * 新增任务
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function addTask(data) {
  return request({
    url: '/als/kGraphTask/add',
    method: 'post',
    data: data
  })
}

/**
 * 修改任务
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function updateTask(data) {
  return request({
    url: '/als/kGraphTask/update',
    method: 'put',
    data: data
  })
}

/**
 * 删除任务
 * @param {string|number} id - 任务ID
 * @returns {Promise} - 返回请求Promise
 */
export function removeTask(id) {
  return request({
    url: `/als/kGraphTask/delete/${id}`,
    method: 'delete'
  })
}

/**
 * 获取文件信息
 * @param {string|number} id - 任务ID
 * @returns {Promise} - 返回请求Promise
 */
export function getTaskInfo(id) {
  return request({
    url: `/als/kGraphTask/selectOne/${id}`,
    method: 'get'
  })
}

/**
 * 执行知识图谱的类型
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function taskPro(data) {
  return request({
    url: '/als/kGraphTask/pro',
    method: 'post',
    data: data
  })
}

/**
 * 获取分句列表
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function getClauseList(data) {
  return request({
    url: '/als/kGraphClause/list',
    method: 'get',
    data: data
  })
}

/**
 * 获取分句详细信息
 * @param {string|number} id - 分句ID
 * @returns {Promise} - 返回请求Promise
 */
export function getClauseInfo(id) {
  return request({
    url: `/als/kGraphClause/selectOne/${id}`,
    method: 'get'
  })
}

/**
 * 删除分句
 * @param {string|number} id - 分句ID
 * @returns {Promise} - 返回请求Promise
 */
export function removeClause(id) {
  return request({
    url: `/als/kGraphClause/delete/${id}`,
    method: 'delete'
  })
}

/**
 * 修改分句
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function updateClause(data) {
  return request({
    url: '/als/kGraphClause/update',
    method: 'put',
    data: data
  })
}

/**
 * 获取抽取列表
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function getExtractList(data) {
  return request({
    url: '/als/kGraphEntity/list',
    method: 'get',
    data: data
  })
}

/**
 * 修改抽取结果
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function updateExtractInfo(data) {
  return request({
    url: '/als/kGraphEntity/update',
    method: 'put',
    data: data
  })
}

/**
 * 删除抽取结果
 * @param {string|number} id - 抽取结果ID
 * @returns {Promise} - 返回请求Promise
 */
export function removeExtractInfo(id) {
  return request({
    url: `/als/kGraphEntity/selectOne/${id}`,
    method: 'delete'
  })
}

/**
 * 新增实体关系
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function addER(data) {
  return request({
    url: '/als/kGraphEntity/add',
    method: 'post',
    data: data
  })
}

/**
 * 获取图谱可视化
 * @param {Object} data - 请求参数
 * @returns {Promise} - 返回请求Promise
 */
export function getVisually(data) {
  return request({
    url: '/kgqa/ossId/show',
    method: 'post',
    data: data
  })
}


// 获取专业
export function aiforData(data) {
  return request({
    url: '/als/kGraphTask/catai',
    method: 'post',
    data: data
  })
}
